###############################################
# Plot graphs for smoothing program
###############################################

reset

BaseOutput = 0

Dir = './'

Output = BaseOutput

LW = 3.5

set style line 1 linetype 1 linecolor rgb "black" pt 1 ps 1.5 lw 3
set style line 2 linetype 1 linecolor rgb "red" pt 7 ps 1 lw LW
set style line 4 linetype 2 linecolor rgb "black" pt 1 ps 1.4 lw 3
set style line 5 linetype 2 linecolor rgb "red" pt 6 ps 1.4 lw 3

set lmargin 10
set rmargin 3
set tmargin 3
set bmargin 3

set border lw 1.5
set parametric
set trange [0:1]

XX = 1
YY = 1

load 'Control.plt'

Input = Dir.Name.'.dat'
Input2 = Dir.Name.'.res'
set notitle

set nokey
unset key
set nolabel

if (Output==0) {set size 1,1; set terminal windows}
if (Output==2) {
    set size XX, YY;
    set terminal epslatex color colortext font '"",6';
    set output Dir.Name.'.eps';
    } 

if (Output>=0) {
    plot\
        Input2 index 0 notitle "Data" with points ls 4,\
        Input2 index 2 title "Splines" with lines ls 2,\
        Input2 index 1 title "Spline knots" with points ls 5;\
        pause -1 "";
    }

unset output
